public class PersonBeanImpl implements PersonBean {

    String name;
    String gender;
    String interests;
    double rating;
    int ratingCount = 0;
  
    public String getName() {
        return name;    
    } 
  
    public String getGender() {
        return gender;
    }
  
    public String getInterests() {
        return interests;
    }
   
    public double getHotOrNotRating() {
        if (ratingCount == 0) return 0;
        return (rating/ratingCount);
    }
  
    public void setName(String name) {
        this.name = name;
    }
 
    public void setGender(String gender) {
        this.gender = gender;
    } 
  
    public void setInterests(String interests) {
        this.interests = interests;
    } 
  
    public void setHotOrNotRating(double rating) {
        this.rating += rating;  
        ratingCount++;
    }

    public String getStringRep() {
        StringBuffer buf = new StringBuffer();
        buf.append("Name     : " + name + "\n");
        buf.append("Gender   : " + gender + "\n");
        buf.append("Interests: " + interests + "\n");
        buf.append("Rating   : " + rating + " / " + ratingCount + " = " + getHotOrNotRating() + "\n");
        return buf.toString();
    }
    
}
